# Gogs

_The lightweigth github clone_

## PostgreSQL setup

### Create gogs user

`$ sudo -u postgres psql`

`postgres=# CREATE ROLE gogs_app WITH CREATEDB LOGIN PASSWORD 'VerySecretPassword';`

### Create gogs database

`postgres=# CREATE DATABASE gogs_db OWNER gogs_app;`

Check database creation : `postgres=# \l`

## Gogs unix user setup

Create _gituser_ :
`$ sudo adduser gituser`

## Start gogs

The binary of gogs is unziped in `/home/gituser/`

[Download gogs binaries](https://gogs.io/docs/installation/install_from_binary)

Please launch gogs as gituser.

`$ sudo su gituser`

`$ /home/gituser/gogs/gogs web`

## Use ssh

### Add ssh key

Use the gui to add the public ssh key. Go to settings.

### Repository url

Example of repository url using SSH :

`ssh://gituser@192.168.1.35:6666/DricomDragon/CodingGameSolver.git`

## Migrate

### Repositories

`/home/gituser/gogs/gogs-repositories/`

### Gogs configuration

Your previous installation is marked as old :

`$ mv gogs gogs_old`

Three folders matter :

`$ cp -R gogs_old/{custom,data,log} gogs`

### Database

Backup the `gogs_db` from PostgreSQL.
